"""Use native JSONB for dicts

Revision ID: 83edccba298e
Revises: 27d8facf34f8
Create Date: 2018-09-18 16:54:31.788005

"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.dialects import postgresql

# revision identifiers, used by Alembic.
revision = "83edccba298e"
down_revision = "27d8facf34f8"
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.alter_column(
        "people",
        "acl",
        existing_type=sa.VARCHAR(),
        type_=postgresql.JSONB(astext_type=sa.Text()),
        postgresql_using="acl::jsonb",
        existing_nullable=True,
    )
    op.alter_column(
        "people",
        "directories",
        existing_type=sa.VARCHAR(),
        type_=postgresql.JSONB(astext_type=sa.Text()),
        postgresql_using="directories::jsonb",
        existing_nullable=True,
    )
    op.alter_column(
        "people",
        "extra",
        existing_type=sa.VARCHAR(),
        type_=postgresql.JSONB(astext_type=sa.Text()),
        postgresql_using="extra::jsonb",
        existing_nullable=True,
    )
    op.alter_column(
        "people",
        "ldap",
        existing_type=sa.VARCHAR(),
        type_=postgresql.JSONB(astext_type=sa.Text()),
        postgresql_using="ldap::jsonb",
        existing_nullable=True,
    )
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.alter_column(
        "people",
        "ldap",
        existing_type=postgresql.JSONB(astext_type=sa.Text()),
        type_=sa.VARCHAR(),
        existing_nullable=True,
    )
    op.alter_column(
        "people",
        "extra",
        existing_type=postgresql.JSONB(astext_type=sa.Text()),
        type_=sa.VARCHAR(),
        existing_nullable=True,
    )
    op.alter_column(
        "people",
        "directories",
        existing_type=postgresql.JSONB(astext_type=sa.Text()),
        type_=sa.VARCHAR(),
        existing_nullable=True,
    )
    op.alter_column(
        "people",
        "acl",
        existing_type=postgresql.JSONB(astext_type=sa.Text()),
        type_=sa.VARCHAR(),
        existing_nullable=True,
    )
    # ### end Alembic commands ###
